/***************************************************************************
 *   Copyright (C) 2008-2009 by Marcel Hasler                              *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kosd.h"

#include <KUniqueApplication>
#include <KAboutData>
#include <KCmdLineArgs>
#include <KLocale>

#include <cstdlib>
using namespace std;

int main(int argc, char **argv)
{
	KAboutData aboutData("kosd", 0, ki18n("KOSD"), "0.4.1", ki18n("A simple On-Screen Display for KDE"), KAboutData::License_GPL, ki18n("(C) 2008-2009 Marcel Hasler"), ki18n(""), 0, 0);
	aboutData.addAuthor(ki18n("Marcel Hasler"), ki18n("Author and Maintainer"), "mahasler@gmail.com");
	aboutData.setProgramIconName("audio-volume-high");

	KCmdLineArgs::init(argc, argv, &aboutData);
	KCmdLineOptions options;
	options.add("raiseVolume", ki18n("Raises the volume."));
	options.add("lowerVolume", ki18n("Lowers the volume."));
	options.add("muteVolume", ki18n("Mutes/Unmutes the volume."));
	options.add("showVolume", ki18n("Shows the current volume."));
	options.add("setVolume <percent>", ki18n("Set the current volume."));
	options.add("showBrightness", ki18n("Shows the current brightness."));
	options.add("setBrightness <percent>", ki18n("Set the current brightness."));
	options.add("showBattery", ki18n("Shows the current battery charge."));
	options.add("configure", ki18n("Shows the configuration dialog."));
	options.add("about", ki18n("Shows the about dialog."));
	options.add("quit", ki18n("Quit."));
	KCmdLineArgs::addCmdLineOptions(options);
	KUniqueApplication::addCmdLineOptions();

	if (!KUniqueApplication::start())
		exit(0);

	KOSD *kosd = new KOSD();
    return kosd->exec();
}

