/***************************************************************************
 *   Copyright (C) 2008-2009 by Marcel Hasler                              *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "settings.h"

Settings::Settings()
	: KConfigSkeleton()
{
	this->setCurrentGroup("General");
	this->addItemInt("VolumeStep", m_volumeStep, 2);
	this->addItemInt("Timeout", m_timeout, 2);
	this->addItemInt("Placement", m_placement, 0); // 0 - Primary screen, 1 - Screen under pointer

	this->setCurrentGroup("Appearance");
	this->addItemInt("Size", m_size, 30);
	this->addItemInt("HPos", m_hPos, 50);
	this->addItemInt("VPos", m_vPos, 70);
	this->addItemInt("Opacity", m_opacity, 70);
	this->addItemBool("FakeTransparency", m_fakeTransparency, false);
}


Settings::~Settings()
{
}


// Singleton access
Settings* Settings::config()
{
	static Settings config;
	return &config;
}
